Package org.apache.sling.scripting.javascript.wrapper

## Class ScriptablePrintWriter

- java.lang.Object
- - org.mozilla.javascript.ScriptableObject
  - - org.apache.sling.scripting.javascript.wrapper.ScriptablePrintWriter

All Implemented Interfaces:
  `Serializable`, `SlingWrapper`, `org.mozilla.javascript.ConstProperties`, `org.mozilla.javascript.debug.DebuggableObject`, `org.mozilla.javascript.Scriptable`, `org.mozilla.javascript.Wrapper`

    public class ScriptablePrintWriter
    extends org.mozilla.javascript.ScriptableObject
    implements SlingWrapper

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `CLASSNAME`

### Fields inherited from class org.mozilla.javascript.ScriptableObject

`CONST, DONTENUM, EMPTY, PERMANENT, READONLY, UNINITIALIZED_CONST`

### Fields inherited from interface org.mozilla.javascript.Scriptable

`NOT_FOUND`

### Constructor Summary

Constructors
`ScriptablePrintWriter()`
`ScriptablePrintWriter​(PrintWriter writer)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getClassName()` The name of the JavaScript host object "class".
`Class<?>[]` `getWrappedClasses()` The list of Java classes wrapped by this wrapper.
`void` `jsConstructor​(Object res)`
`static void` `jsFunction_print​(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable thisObj, Object[] args, org.mozilla.javascript.Function funObj)`
`static void` `jsFunction_printf​(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable thisObj, Object[] args, org.mozilla.javascript.Function funObj)`
`static void` `jsFunction_println​(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable thisObj, Object[] args, org.mozilla.javascript.Function funObj)`
`static void` `jsFunction_write​(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable thisObj, Object[] args, org.mozilla.javascript.Function funObj)`
`Object` `unwrap()`

### Methods inherited from class org.mozilla.javascript.ScriptableObject

`applyDescriptorToAttributeBitset, associateValue, avoidObjectDetection, buildDataDescriptor, callMethod, callMethod, checkPropertyChange, checkPropertyDefinition, defineClass, defineClass, defineClass, defineConst, defineConstProperty, defineFunctionProperties, defineOwnProperties, defineOwnProperty, defineOwnProperty, defineProperty, defineProperty, defineProperty, defineProperty, delete, delete, deleteProperty, deleteProperty, ensureScriptable, ensureScriptableObject, equivalentValues, get, get, get, getAllIds, getArrayPrototype, getAssociatedValue, getAttributes, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getDefaultValue, getExternalArrayData, getExternalArrayLength, getFunctionPrototype, getGetterOrSetter, getIds, getObjectPrototype, getOwnPropertyDescriptor, getParentScope, getProperty, getProperty, getPropertyIds, getPrototype, getSlot, getTopLevelScope, getTopScopeValue, getTypedProperty, getTypedProperty, getTypeOf, has, has, hasInstance, hasProperty, hasProperty, isAccessorDescriptor, isConst, isDataDescriptor, isEmpty, isExtensible, isFalse, isGenericDescriptor, isGetterOrSetter, isSealed, isTrue, preventExtensions, put, put, putConst, putConstProperty, putProperty, putProperty, redefineProperty, sameValue, sealObject, setAttributes, setAttributes, setAttributes, setAttributes, setExternalArrayData, setGetterOrSetter, setParentScope, setPrototype, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLASSNAME

    public static final String CLASSNAME

See Also:
  Constant Field Values

### Constructor Detail

#### ScriptablePrintWriter

    public ScriptablePrintWriter()

#### ScriptablePrintWriter

    public ScriptablePrintWriter​(PrintWriter writer)

### Method Detail

#### jsConstructor

    public void jsConstructor​(Object res)

#### getClassName

    public String getClassName()

Description copied from interface: `SlingWrapper`
The name of the JavaScript host object "class".

Specified by:
  `getClassName` in interface `org.mozilla.javascript.Scriptable`
Specified by:
  `getClassName` in interface `SlingWrapper`
Specified by:
  `getClassName` in class `org.mozilla.javascript.ScriptableObject`
Returns:
  the class name

#### getWrappedClasses

    public Class<?>[] getWrappedClasses()

Description copied from interface: `SlingWrapper`
The list of Java classes wrapped by this wrapper.

Specified by:
  `getWrappedClasses` in interface `SlingWrapper`
Returns:
  the wrapped classes

#### jsFunction_write

    public static void jsFunction_write​(org.mozilla.javascript.Context cx,
                                        org.mozilla.javascript.Scriptable thisObj,
                                        Object[] args,
                                        org.mozilla.javascript.Function funObj)

#### jsFunction_print

    public static void jsFunction_print​(org.mozilla.javascript.Context cx,
                                        org.mozilla.javascript.Scriptable thisObj,
                                        Object[] args,
                                        org.mozilla.javascript.Function funObj)

#### jsFunction_printf

    public static void jsFunction_printf​(org.mozilla.javascript.Context cx,
                                         org.mozilla.javascript.Scriptable thisObj,
                                         Object[] args,
                                         org.mozilla.javascript.Function funObj)

#### jsFunction_println

    public static void jsFunction_println​(org.mozilla.javascript.Context cx,
                                          org.mozilla.javascript.Scriptable thisObj,
                                          Object[] args,
                                          org.mozilla.javascript.Function funObj)

#### unwrap

    public Object unwrap()

Specified by:
  `unwrap` in interface `org.mozilla.javascript.Wrapper`